Bug 12768 - kppp can't be used by non-root users
kppp can't be used by non-root users
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-06-20 18:48 EDT by lglewis
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-20 18:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lglewis 2000-06-20 18:48:56 EDT
I am trying to use kppp to log into my ISP.  I configured it under root.  
When I try to use it with a non-root account, it asks for the root 
password.  Once that password is given, kppp just vanishes.  I tried 
running it under kconsole, and the following error msg was given:  

Xlib: connection to ":0.0" refused by server
Xlib: Client is not authorized to connect to Server
kppp: cannot connect to X server :0

I reported this bug to KDE, and got the response that it is caused by the 
way kppp is installed in RH 6.2.  They suggest a workaround, but one that 
may have some sercurity problems.  Is there a better fix?
Comment 1 Bernhard Rosenkraenzer 2000-06-23 07:33:41 EDT
Change the line "SESSION=false" in /etc/security/console.apps/kppp to
This is done in the current Rawhide packages.

Note You need to log in before you can comment on or make changes to this bug.